## org.eclipse.datatools.modelbase.sql.query
Interface QuerySelect

All Superinterfaces:
  QueryExpressionBody, SQLObject, SQLQueryObject, TableExpression, TableReference

All Known Implementing Classes:
  QuerySelectImpl

public interface QuerySelect
extends QueryExpressionBody

A representation of the model object 'Select'.

The following features are supported:

- `Distinct`
- `Having Clause`
- `Where Clause`
- `Group By Clause`
- `Select Clause`
- `From Clause`
- `Into Clause`

See Also:
  `SQLQueryModelPackage.getQuerySelect()`

Method Summary
`EList` `getFromClause()` Returns the value of the 'From Clause' containment reference list.
`EList` `getGroupByClause()` Returns the value of the 'Group By Clause' containment reference list.
`QuerySearchCondition` `getHavingClause()` Returns the value of the 'Having Clause' containment reference.
`EList` `getIntoClause()` Returns the value of the 'Into Clause' containment reference list.
`EList` `getSelectClause()` Returns the value of the 'Select Clause' containment reference list.
`QuerySearchCondition` `getWhereClause()` Returns the value of the 'Where Clause' containment reference.
`boolean` `isDistinct()` Returns the value of the 'Distinct' attribute.
`boolean` `isSetHavingClause()` Returns whether the value of the '`Having Clause`' containment reference is set.
`boolean` `isSetWhereClause()` Returns whether the value of the '`Where Clause`' containment reference is set.
`void` `setDistinct(boolean value)` Sets the value of the '`Distinct`' attribute.
`void` `setHavingClause(QuerySearchCondition value)` Sets the value of the '`Having Clause`' containment reference.
`void` `setWhereClause(QuerySearchCondition value)` Sets the value of the '`Where Clause`' containment reference.
`void` `unsetHavingClause()` Unsets the value of the '`Having Clause`' containment reference.
`void` `unsetWhereClause()` Unsets the value of the '`Where Clause`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QueryExpressionBody
`getCombinedLeft, getCombinedRight, getPredicateExists, getQueryExpression, getUpdateSourceQuery, getWithTableSpecification, setCombinedLeft, setCombinedRight, setPredicateExists, setQueryExpression, setUpdateSourceQuery, setWithTableSpecification`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableExpression
`getColumnList, getResultTableAllColumns, getTableCorrelation, getValueExprColumns, setTableCorrelation`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableReference
`getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### isDistinct

    public boolean isDistinct()

  Returns the value of the 'Distinct' attribute.

  If the meaning of the 'Distinct' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Distinct' attribute.
  See Also:
    `setDistinct(boolean)`, `SQLQueryModelPackage.getQuerySelect_Distinct()`

### setDistinct

    public void setDistinct(boolean value)

  Sets the value of the '`Distinct`' attribute.

  Parameters:
    `value` - the new value of the 'Distinct' attribute.
  See Also:
    `isDistinct()`

### getHavingClause

    public QuerySearchCondition getHavingClause()

  Returns the value of the 'Having Clause' containment reference. It is bidirectional and its opposite is '`Query Select Having`'.

  If the meaning of the 'Having Clause' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Having Clause' containment reference.
  See Also:
    `isSetHavingClause()`, `unsetHavingClause()`, `setHavingClause(QuerySearchCondition)`, `SQLQueryModelPackage.getQuerySelect_HavingClause()`, `QuerySearchCondition.getQuerySelectHaving()`

### setHavingClause

    public void setHavingClause(QuerySearchCondition value)

  Sets the value of the '`Having Clause`' containment reference.

  Parameters:
    `value` - the new value of the 'Having Clause' containment reference.
  See Also:
    `isSetHavingClause()`, `unsetHavingClause()`, `getHavingClause()`

### unsetHavingClause

    public void unsetHavingClause()

  Unsets the value of the '`Having Clause`' containment reference.

  See Also:
    `isSetHavingClause()`, `getHavingClause()`, `setHavingClause(QuerySearchCondition)`

### isSetHavingClause

    public boolean isSetHavingClause()

  Returns whether the value of the '`Having Clause`' containment reference is set.

  Returns:
    whether the value of the 'Having Clause' containment reference is set.
  See Also:
    `unsetHavingClause()`, `getHavingClause()`, `setHavingClause(QuerySearchCondition)`

### getWhereClause

    public QuerySearchCondition getWhereClause()

  Returns the value of the 'Where Clause' containment reference. It is bidirectional and its opposite is '`Query Select Where`'.

  If the meaning of the 'Where Clause' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Where Clause' containment reference.
  See Also:
    `isSetWhereClause()`, `unsetWhereClause()`, `setWhereClause(QuerySearchCondition)`, `SQLQueryModelPackage.getQuerySelect_WhereClause()`, `QuerySearchCondition.getQuerySelectWhere()`

### setWhereClause

    public void setWhereClause(QuerySearchCondition value)

  Sets the value of the '`Where Clause`' containment reference.

  Parameters:
    `value` - the new value of the 'Where Clause' containment reference.
  See Also:
    `isSetWhereClause()`, `unsetWhereClause()`, `getWhereClause()`

### unsetWhereClause

    public void unsetWhereClause()

  Unsets the value of the '`Where Clause`' containment reference.

  See Also:
    `isSetWhereClause()`, `getWhereClause()`, `setWhereClause(QuerySearchCondition)`

### isSetWhereClause

    public boolean isSetWhereClause()

  Returns whether the value of the '`Where Clause`' containment reference is set.

  Returns:
    whether the value of the 'Where Clause' containment reference is set.
  See Also:
    `unsetWhereClause()`, `getWhereClause()`, `setWhereClause(QuerySearchCondition)`

### getGroupByClause

    public EList getGroupByClause()

  Returns the value of the 'Group By Clause' containment reference list. The list contents are of type `GroupingSpecification`. It is bidirectional and its opposite is '`Query Select`'.

  If the meaning of the 'Group By Clause' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Group By Clause' containment reference list.
  See Also:
    `SQLQueryModelPackage.getQuerySelect_GroupByClause()`, `GroupingSpecification.getQuerySelect()`

### getSelectClause

    public EList getSelectClause()

  Returns the value of the 'Select Clause' containment reference list. The list contents are of type `QueryResultSpecification`. It is bidirectional and its opposite is '`Query Select`'.

  If the meaning of the 'Select Clause' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Select Clause' containment reference list.
  See Also:
    `SQLQueryModelPackage.getQuerySelect_SelectClause()`, `QueryResultSpecification.getQuerySelect()`

### getFromClause

    public EList getFromClause()

  Returns the value of the 'From Clause' containment reference list. The list contents are of type `TableReference`. It is bidirectional and its opposite is '`Query Select`'.

  If the meaning of the 'From Clause' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'From Clause' containment reference list.
  See Also:
    `SQLQueryModelPackage.getQuerySelect_FromClause()`, `TableReference.getQuerySelect()`

### getIntoClause

    public EList getIntoClause()

  Returns the value of the 'Into Clause' containment reference list. The list contents are of type `ValueExpressionVariable`. It is bidirectional and its opposite is '`Query Select`'.

  If the meaning of the 'Into Clause' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Into Clause' containment reference list.
  See Also:
    `SQLQueryModelPackage.getQuerySelect_IntoClause()`, `ValueExpressionVariable.getQuerySelect()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.